# gds-3.0.0:
  - Changed C++ Standard
  - Updated library versions
    - libgdsbase 9:0:0
    - libgdsmath 2:0:0
    - libgdscntr 10:0:0
    - libdaqs 4:0:0
    - libframefast 2:0:0
    - libframeutil 4:0:0
    - libframexmit 4:0:0
    - libhtml 5:0:0
    - libjsstack 3:0:0
    - liblmsg 3:0:0
    - libparsl 1:0:0
    - libsockutil 3:0:0
    - libweb 2:0:0
    - libxsil 3:0:0
    - libgdstrig 4:0:0
    - libdmtsigp 8:0:0
    - libgdsalgo 1:0:0
    - libmonitor 1:0:0
    - libtclient 4:0:0
    - libclient 1:0:0
    - libserver 1:0:0
    - libmonlmsg 1:0:0
    
  
# gds-2.19.11:
  Updated shared library version number to reflect ABI/API breakage
    - libgdsbase 8:0:0

# gds-2.19.10:
  - Removed DTT from code base (closes #84)
    - Removes the following RPM packages:
      - gds-dtt-headers
      - gds-dtt-devel
      - gds-dtt-crtools
      - gds-dtt-monitors
      - py36-gds-dtt
      - py39-gds-dtt
    - Removes the following DEB packages:
      - gds-dtt-dev
      - gds-dtt-headers
      - gds-dtt-crtools
      - gds-dtt-monitors
      - py-gds-dtt

# gds-2.19.9:
  - Removed duplicate %files for gds-base-runtime
  - libhtml: expose linebreak class (was compound internal).
  - tri_state: Add copy and move constructors, state() method
  - timeline: new class
  - liblmsg: Add NotConnected error code, MsgAddr::clear()
  - AppClient: add close() method, test invalid addresses, improve debug msgs
  - MsgWriter: Close if connection fails. reset TrigMgr address on close.
  - TrigClient: close if connection to TrigMgr Fails. 
  - DFT: calculate appropriate repeat-leng in DFT::evolve. default destructor.
  - NullPipe: add documentation. Default destructor.
  - auto_pipe: Use unique_ptr, default destructor, add move semantics.
  - MultiPipe: use auto_pipe instead of Pipe\*, add empty() method.
  - FilterDesign, pipe_tools: Fix for MultiPipe using auto_pipe.
  - resampler: Implement up/down-sampling. Base on NullPipe.
  - checksum_32: Allow record lengths > 4GB

# gds-2.19.8:
  - new time_utils functions (sleep_until())
  - build/install RunFiles (don't require dmt_runtimeflag)
  - AppServer, lmsg: disconnect on error, improve debugging messages
  - TCPSocket: Re-order shutdown options
  - NameClient, NameServer: add reverse lookup function
  - TrigMgr: Handle timeouts more appropriately
  - window_api: Add periodic/symmetric flag
  - libframeutil: Add frtoc_times class

# gds-2.19.7
  - rename NameServer executable to avoid name conflict
  - Corrected perl dependency for gds-services

# gds-2.19.6:
  - Updated autoconf macros

# gds-2.19.5:
  - Fix lmsg base classes to switch UDP/TCP at compile time, default to TCP.
  - lmsg testing updates, minor fixes.
  - add jsonStream class.
  - DVector: add static type-name lookup
  - TSeries: add move syntax constructor/assignment operator
  - Moved GraphIt to Services/web (Closes #49)
  - Minimum required C++ standard is now 2011 (closes #57)
  - Removed static linking (closes #44)
  - For Debian Bullseye, added libjsoncpp24 dependency (closes #54)
  - Moved gds-base-root to gds-root-extensions

# gds-2.19.4:
  - Removed python configuration
  - Modified Source field of RPM spec file to have a fully qualified URI

# gds-2.19.3:
  - Corrections to build rules

# gds-2.19.2:
  - Separated lowlatency into a separate package

# gds-2.19.1:
  - Removed keyword register as its original meaning has been depricated in C++ (closes #27)
  - Fix timeout handling in DaccIn::open()
  - replace char* arguments with string& in trend and frame writer classes.
  - Builds against ROOT 6 for Debian.
  - Keep/print statistics in Dacc, DaccIn and MultiDacc classes
  - Allow partial strides in MultiDacc::fillData()
  - Fix GateGen::flush() if end-of-data near end-of-gate.
  - Templatize FixedLenTS class for arbitrary type data
  - keep even/odd length information in fSeries type
  - Add operator<<(attrib&) to html block classes
  - Fix lmsg handling of double complex data. Fix message length calculation.
  - Move common data members to Chirp base class, define default methods.
  - add psd_estimate class, use as base class for WelchPSD, MeadMedianPSD, RayleighStat
  - Use std::string& instead of char* for MonServer arguments
  - Add html::button, html::head classes and install() method. HTML5 compatibility for text attributes. JS library.
  - New multiframe_writer class

# gds-2.19.1:
  - Removed build dependency on FrameL
